# Class CIM_SwitchServiceVLAN
extends CIM_ServiceComponent

This class is deprecated as a fall out of the previous deprecations within the existing model An association linking SwitchService to a component VLANService.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_ServiceComponent
|
+--CIM_SwitchServiceVLAN

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Deprecated | string | No value
Description | string | This class is deprecated as a fall out of the previous deprecations within the existing model An association linking SwitchService to a component VLANService.
UMLPackagePath | string | CIM::Network::VLAN
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_SwitchServiceVLAN | CIM_SwitchService
PartComponent | CIM_SwitchServiceVLAN | CIM_VLANService

## Class Methods